Jamestown
Jamestown > General Discussions > Topic Details
Drowz0r May 23, 2014 @ 8:10pm
Ubuntu 14.04 LTS will not launch game
Hello

I have installed the .deb version of this game from Humble Bundle but it will not launch.

Can someone assist?
< >
Showing 1-8 of 8 comments
draugr May 31, 2014 @ 4:32pm 
Wish I had an asnwer, but I'm having the same problem as well. Im going to send them an email. If I hear back I will let you know.
draugr May 31, 2014 @ 6:01pm 
dmesg brings up this error in terminal:

[ 3451.149606] Jamestown-amd64[4211]: segfault at 8 ip 00007fe2542aa168 sp 00007fffcdf69850 error 4 in ld-2.19.so[7fe25429e000+23000]
Drowz0r Jun 25, 2014 @ 6:31am 
Bump. Still on-going.
Drowz0r Jul 5, 2014 @ 3:37am 
Bump again. Still on-going.
Eithrial Jul 18, 2014 @ 4:59pm 
Try to run it from terminal and post output.
Cutrus Aug 2, 2014 @ 5:02pm 
64-bit version not working. Run Jamestown x86 version
spock May 21 @ 8:59am 
On Ubuntu 16.04 64-bit LTS:

1. sudo apt install alsa-oss
2. Copy a 32-bit version of the libsteam_api.so library from another steam game to the <install_dir>/data/x86 directory.
3. In terminal go to in <install_dir>/data.
4. Let linker know about the <install_dir>/data/x86 directory and run 32-bit version of the game:

LD_LIBRARY_PATH=./x86:$LD_LIBRARY_PATH exec ./Jamestown-x86

Try if it works on 14.04.
64-bit version of the games crashes.

Enjoy!
spock May 21 @ 2:10pm 
5. load snd_pcm_oss module:

sudo modprobe snd_pcm_oss

6. To avoid this step after each restart, follow post #11 or #13 from:

http://www.linuxquestions.org/questions/linux-newbie-8/modprobe-oss-not-auto-loading-module-in-arch-linux-4175521443/

Note that the full path to modprobe is different and /etc/rc.local is initally not empty in Ubuntu.
< >
Showing 1-8 of 8 comments
Per page: 15 30 50

Jamestown > General Discussions > Topic Details